module MINICPU(CLKa, res, OUT, RD, WR, ZF, MARl, state, A,B,C, IR,ACC);
  input CLKa;
  input res;
  output [7:0] OUT;

// --- debug probe ---
  output RD,WR,ZF,MARl;
  output [7:0] state;
  output [7:0] A,B,C;
  output [7:0] IR,ACC;
// --- debug probe ---

  wire [4:0] ALUc;

  counter8 c1(CLKa, CLK);
  ru RU(A, ACC, C, PCo, SPo, ACCo, PCl, SPl, ACCl, CLK, res);
  eu EU(C, ZF, A, B, ALUc, CFl, ZFl, CLK, res);
  mu MU(B, C, RD, WR, MARl, CLK);
  cu CU(B, CLK, res, PCo, SPo, ACCo, PCl, SPl, ACCl, OUTo, ALUc, RD, WR, MARl, CFl, ZFl, state,IR);
  io IO(A, CLK, OUTo, OUT);
//  cg CG(CLK);


endmodule
