module mu(B, C, RD, WR, MARl, CLK);
  output 	[7:0] B;
  input 	[7:0] C;
  input 	RD, WR, MARl, CLK;
  reg		[7:0] MAR,data;

  wire [7:0] inB,C;
  ram256x8 ram(data, MAR, WR, CLK, inB);

  assign B = (RD)?inB:8'bz;

  always @(posedge CLK)
    begin
      if(WR) data = C;
      if(MARl) MAR = C;
    end
endmodule
