module SY_JKFF	( J, K, clk, Q, Q_B );
  input 	J, K, clk;
  output 	Q, Q_B;

  reg		Q;

  assign	Q_B = ~Q;
  always	@( posedge clk )
			case ( {J, K} )
				1:Q	<= 0;
				2:Q	<= 1;
				3:Q <= ~Q;
			endcase
endmodule

module counter8(p,q);

  input 	p;
  output	q;

  not n1(BCLK,p);

  SY_JKFF u0 ( p , p , BCLK, q0, );
  SY_JKFF u1 ( q0, q0, BCLK, q1, );
  SY_JKFF u2 ( q1, q1, BCLK, q2, );
  SY_JKFF u3 ( q2, q2, BCLK, q3, );
  SY_JKFF u4 ( q3, q3, BCLK, q4, );
  SY_JKFF u5 ( q4, q4, BCLK, q5, );
  SY_JKFF u6 ( q5, q5, BCLK, q6, );
  SY_JKFF u7 ( q6, q6, BCLK, q, );
  

endmodule

