module ru(A, ACC, C, PCo, SPo, ACCo, PCl, SPl, ACCl, CLK, res);
  output [7:0] A;
  output [7:0] ACC; //debug
  input [7:0] C;
  input PCo, SPo, ACCo, PCl, SPl, ACCl;
  input CLK;
  input res;

  reg [7:0] PC, SP, ACC;

  assign A = (PCo)?PC:8'bz;
  assign A = (SPo)?SP:8'bz;
  assign A = (ACCo)?ACC:8'bz;

  always @( posedge CLK)
    begin
      if (!res)
        begin
            PC = 0;
            SP = 0;
        end
      else
        begin
          if(PCl) PC = C;
          if(SPl) SP = C;
          if(ACCl) ACC = C;
        end
    end
endmodule
